tidak bisa instal ia32-libs

Aplikasi-aplikasi diubuntu: • Aplikasi Grafis •
Aplikasi Internet •
Aplikasi Office •
Aplikasi Sound & Video •
Aplikasi Programming
User avatar
santosantos
Posts: 68
Joined: 28 Mar 2013, 15:16
Location: indonesia

tidak bisa instal ia32-libs

Postby santosantos » 03 Dec 2013, 16:27

santos@santos-K43SA:~$ sudo apt-get install ia32-libs
[sudo] password for santos:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
ia32-libs : Depends: ia32-libs-multiarch but it is not installable
E: Unable to correct problems, you have held broken packages
User avatar
nif
Posts: 2817
Joined: 31 Mar 2011, 07:48

Re: tidak bisa instal ia32-libs

Postby nif » 03 Dec 2013, 16:41

itu karena ia32-libs membutuhkan ia32-libs-multiarch, tapi ia32-libs-multiarch nya enggak bisa diinstall.

pake ubuntu berapa? repository mana?
User avatar
santosantos
Posts: 68
Joined: 28 Mar 2013, 15:16
Location: indonesia

Re: tidak bisa instal ia32-libs

Postby santosantos » 03 Dec 2013, 16:49

ubuntu 12.04, REPOSITORY MN? ga ngerti om, masih belajar
User avatar
nif
Posts: 2817
Joined: 31 Mar 2011, 07:48

Re: tidak bisa instal ia32-libs

Postby nif » 03 Dec 2013, 16:51

repository online, atau pake DVD repo, atau pake apt-web, atau apt-id, atau alldeb, atau yang lainnya.
User avatar
santosantos
Posts: 68
Joined: 28 Mar 2013, 15:16
Location: indonesia

Re: tidak bisa instal ia32-libs

Postby santosantos » 03 Dec 2013, 16:56

dvd repo om 64 bit
User avatar
nif
Posts: 2817
Joined: 31 Mar 2011, 07:48

Re: tidak bisa instal ia32-libs

Postby nif » 03 Dec 2013, 17:03

berarti kemungkinan besar paket ia32-libs-multiarch tidak tersedia di DVD repo.
cari aja paket ia32-libs-multiarch untu Ubuntu 12.04 64-bit di google. download, lalu install. baru setelah itu lanjutkan install ia32-libs.

cmiiw
User avatar
santosantos
Posts: 68
Joined: 28 Mar 2013, 15:16
Location: indonesia

Re: tidak bisa instal ia32-libs

Postby santosantos » 03 Dec 2013, 17:17

ane coba cara ini om, hasil cari di google, tapi ga berhasil

santos@santos-K43SA:~$ sudo dpkg --add-architecture i386
[sudo] password for santos:
dpkg: error: unknown option --add-architecture

Type dpkg --help for help about installing and deinstalling packages [*];
Use `dselect' or `aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;

Options marked [*] produce a lot of output - pipe it through `less' or `more' !

santos@santos-K43SA:~$ sudo apt-get update
Reading package lists... Done
santos@santos-K43SA:~$ sudo apt-get install ia32-libs
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
ia32-libs : Depends: ia32-libs-multiarch but it is not installable
E: Unable to correct problems, you have held broken packages.
User avatar
santosantos
Posts: 68
Joined: 28 Mar 2013, 15:16
Location: indonesia

Re: tidak bisa instal ia32-libs

Postby santosantos » 03 Dec 2013, 17:29

udah download om instalnya gimana ya? nemu 2 macem yang dipake yang mana om?
1. ia32-libs-multiarch_20090808ubuntu35_i386.deb
2. ia32-libs_20090808ubuntu35_amd64.deg

ane nemu di http://packages.ubuntu.com/search?keywo ... ection=all
User avatar
nif
Posts: 2817
Joined: 31 Mar 2011, 07:48

Re: tidak bisa instal ia32-libs

Postby nif » 03 Dec 2013, 22:40

saya sudah coba googling sebentar, ternyata masalah ini banyak ditemukan. bukan masalah unmet dependency biasa, tapi ia32-libs-multiarch untuk 12.04 64-bit (amd64) memang tak ada.
tapi ketemu yang ini juga;
http://askubuntu.com/questions/107230/w ... bs-package
katanya, ia32-libs sebenarnya sudah terintegrasi ke Ubuntu sejak versi 11.10, jadi tak perlu install ia32-libs lagi. kalo mau install aplikasi 32-bit, bisa langsung aja install seperti ini;
sudo apt-get install :i386

note;
itu hanya yang saya tangkap dari link yang saya tuliskan di atas.
saya pengguna 32-bit, bukan 64-bit, jadi tidak bisa membuktikan sendiri.

cmiiw
User avatar
santosantos
Posts: 68
Joined: 28 Mar 2013, 15:16
Location: indonesia

Re: tidak bisa instal ia32-libs

Postby santosantos » 04 Dec 2013, 15:36

klo mo lihat paketnya ( ia32-libs )dari terminal perintahnya gmn om?
User avatar
abu_unaisah
Posts: 1621
Joined: 24 Nov 2011, 14:07

Re: tidak bisa instal ia32-libs

Postby abu_unaisah » 04 Dec 2013, 16:02

mau install aplikasi apa om?

Return to “Aplikasi Ubuntu”

Who is online

Users browsing this forum: No registered users and 0 guests